Subject: Re: bug#52200: 29.0.50; image-dired-cmd-create-standard-thumbnail-options

From: Stefan Kangas <[email-masked]>
Date: Wed, 8 Dec 2021 18:01:50 -0800

Peter Münster <[email-masked]> writes:

> I'm a bit confused about
> image-dired-cmd-create-standard-thumbnail-options:
>
> - It seems, that it's not used with pngcrush or pngnq, so this test is
>   perhaps useless:
>   (unless (or image-dired-cmd-pngcrush-program
>               image-dired-cmd-pngnq-program) ...

I think the intention is that we shouldn't insert those text fields
twice.  See the removed code in commit 36b9973dec65 and also
`image-dired-cmd-pngcrush-options'.

Perhaps we could make this unconditional, but then what should we do
about `image-dired-cmd-pngcrush-options'?  Should the options be removed
from there?

> - If gm is used, then the "convert" command should be added.

Yes, I think you are right.